CREATE FUNCTION [dbo].[CheckNewPackMonth]()
RETURNS CHAR(2) AS  
BEGIN 
	DECLARE @PACK_MONTH VARCHAR(6) = '',
			@TODAY_DAY VARCHAR(20) = '',
			@APPROVED_DATE DATE,
			@EXECUTED_DATE DATE,
			@EXECUTE CHAR(2) = 'NG'
	DECLARE @firstsunday date
	DECLARE @diffwithfirstsunday int = 0

	SELECT @PACK_MONTH = MAX(PACK_MONTH) FROM TB_R_LPOP WHERE VERS = 'F'

	IF(EXISTS(SELECT 'x' FROM TB_R_LPOP_CONFIRMATION 
			  WHERE LPOP_TIMING = 'F' 
					  AND PRODUCTION_MONTH = @PACK_MONTH
					  AND ISNULL(APPROVE_BY, '') <> ''
					  AND ISNULL(APPROVE_DT, '') <> ''))
	BEGIN
		IF(NOT EXISTS(SELECT 'x' FROM TB_R_LPOP_COMPLETENESS_PRICE WHERE PACK_MONTH = @PACK_MONTH)
		   AND NOT EXISTS(SELECT 'x' FROM TB_R_LPOP_COMPLETENESS_SLOC WHERE PACK_MONTH = @PACK_MONTH)
		   AND NOT EXISTS(SELECT 'x' FROM TB_R_LPOP_COMPLETENESS_MATERIAL WHERE PACK_MONTH = @PACK_MONTH))
		BEGIN
			SET @EXECUTE = 'OK'
		END
		ELSE
		BEGIN
			SELECT @APPROVED_DATE = APPROVE_DT 
			FROM TB_R_LPOP_CONFIRMATION 
			WHERE LPOP_TIMING = 'F' 
				  AND PRODUCTION_MONTH = @PACK_MONTH
				  AND ISNULL(APPROVE_BY, '') <> ''
				  AND ISNULL(APPROVE_DT, '') <> ''

			SET @firstsunday = DATEADD(DAY, 7, DATEADD(DAY, (-1 * DATEPART(dw, @APPROVED_DATE)) + 1, @APPROVED_DATE))
			SET @diffwithfirstsunday = DATEDIFF(DAY, @APPROVED_DATE, @firstsunday)
			SET @EXECUTED_DATE = GETDATE()
		
			--IF(@diffwithfirstsunday < 4)
			--BEGIN
				IF(((DATEDIFF(DAY, @firstsunday, @EXECUTED_DATE)) % 7 = 0) AND DATEDIFF(DAY, @firstsunday, @EXECUTED_DATE) <> 0)
				BEGIN
					SET @EXECUTE = 'OK'
				END
			--END
			--ELSE
			--BEGIN
				IF(DATEDIFF(DAY, @firstsunday, @EXECUTED_DATE) = 0)
				BEGIN
					SET @EXECUTE = 'OK'
				END
			--END

		END
	END

	RETURN(@EXECUTE)
END

